import type * as ts from 'typescript/lib/tsserverlibrary';
import { LanguageServiceLogger } from './logger';
import { DepSymbolResolver } from './types';
export declare function isInTypeContext(typescript: typeof ts, node: ts.Node): boolean;
export declare function createDepSymbolResolver(typescript: typeof ts, scope: ts.Node, additionalScope: readonly ts.Node[], file: ts.SourceFile, checker: ts.TypeChecker, preferConstantsCall: boolean, logger: LanguageServiceLogger): DepSymbolResolver;
